# FoundationClasses
TKernel
Storage

# Storage_BucketOfPersistent Class Reference

`#include <Storage_BucketOfPersistent.hxx>`

## Public Member Functions

| Storage_BucketOfPersistent (const Standard_Integer theBucketSize=300000, const Standard_Integer theBucketNumber=100)
Standard_Integer | Length () const
void | Append (const Handle(Standard_Persistent)&sp)
Standard_Persistent * | Value (const Standard_Integer theIndex)
void | Clear ()
| ~Storage_BucketOfPersistent ()

## Private Attributes

Storage_Bucket ** | myBuckets
Standard_Integer | myNumberOfBucket
Standard_Integer | myNumberOfBucketAllocated
Storage_Bucket * | myCurrentBucket
Standard_Integer | myCurrentBucketNumber
Standard_Integer | myLength
Standard_Integer | myBucketSize

## Constructor & Destructor Documentation

Storage_BucketOfPersistent::Storage_BucketOfPersistent | ( | const Standard_Integer | theBucketSize = `300000`,
|  | const Standard_Integer | theBucketNumber = `100`
| ) |

Storage_BucketOfPersistent::~Storage_BucketOfPersistent | ( |  | ) |

## Member Function Documentation

void Storage_BucketOfPersistent::Append | ( | const Handle(Standard_Persistent)& | sp | ) |

void Storage_BucketOfPersistent::Clear | ( |  | ) |

Standard_Integer Storage_BucketOfPersistent::Length | ( |  | ) | const`[inline]`

Standard_Persistent* Storage_BucketOfPersistent::Value | ( | const Standard_Integer | theIndex | ) |

## Field Documentation

Storage_Bucket** Storage_BucketOfPersistent::myBuckets `[private]`

Standard_Integer Storage_BucketOfPersistent::myBucketSize `[private]`

Storage_Bucket* Storage_BucketOfPersistent::myCurrentBucket `[private]`

Standard_Integer Storage_BucketOfPersistent::myCurrentBucketNumber `[private]`

Standard_Integer Storage_BucketOfPersistent::myLength `[private]`

Standard_Integer Storage_BucketOfPersistent::myNumberOfBucket `[private]`

Standard_Integer Storage_BucketOfPersistent::myNumberOfBucketAllocated `[private]`

The documentation for this class was generated from the following file:

- Storage_BucketOfPersistent.hxx